# $Revision: 1.77 $, $Date: 2012/04/27 17:11:06 $
#
# Conditional build:
%bcond_without	alsa		# ALSA support
%bcond_without	gomp		# OpenMP support
%bcond_without	pulseaudio	# PulseAudio support
%bcond_without	amr		# AMR codecs (AMR-NB and AMR-WB) support
#
Summary:	A general purpose sound file conversion tool
Summary(de.UTF-8):	Mehrzweck-Sounddatei-Konvertierungs-Tool
Summary(es.UTF-8):	Herramienta para conversión de archivos de sonido
Summary(fr.UTF-8):	outil général de conversion de fichiers son
Summary(pl.UTF-8):	Program do konwersji plików dźwiękowych
Summary(pt_BR.UTF-8):	Ferramenta para conversão de arquivos de som
Summary(ru.UTF-8):	Утилита общего назначения для работы со звуковыми файлами
Summary(tr.UTF-8):	Genel amaçlı ses dosyası çevirme aracı
Summary(uk.UTF-8):	Утиліта загального призначення для роботи із звуковими файлами
Name:		sox
Version:	14.4.0
Release:	1
License:	GPL v2+ (sox), LGPL v2+ (libsox)
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/sox/%{name}-%{version}.tar.gz
# Source0-md5:	b0c15cff7a4ba0ec17fdc74e6a1f9cf1
Patch0:		%{name}-system-lpc10.patch
Patch1:		%{name}-dyn.patch
URL:		http://sox.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.7.1
BuildRequires:	flac-devel >= 1.1.3
%{?with_gomp:BuildRequires:	gcc >= 6:4.2}
BuildRequires:	ladspa-devel
BuildRequires:	lame-libs-devel >= 3.98
BuildRequires:	libao-devel
%{?with_gomp:BuildRequires:	libgomp-devel}
BuildRequires:	libgsm-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmagic-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel >= 1.0.12
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	lpc10-devel
%{?with_amr:BuildRequires:	opencore-amr-devel}
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
BuildRequires:	pkgconfig
BuildRequires:	twolame-devel
BuildRequires:	wavpack-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SoX (Sound eXchange) is a sound file format converter for Linux, UNIX
and DOS PCs. The self-described 'Swiss Army knife of sound tools,' SoX
can convert between many different digitized sound formats and perform
simple sound manipulation functions, including sound effects.

Install the sox package if you'd like to convert sound file formats or
manipulate some sounds.

%description -l es.UTF-8
sox se autodenomina "navaja suiza de las herramientas de sonido".
Entiende varios formatos de sonidos digitalizados, pudiendo hacer
conversiones entre estos formatos y desempeñar funciones sencillas de
manejo de sonido.

%description -l pl.UTF-8
SoX (Sound eXchange) jest konwerterem formatów plików dźwiękowych dla
Linuksa, Uniksa i Dosa. SoX może wykonywać konwersję między wieloma
formatami cyfrowego dźwięku. Może także dokonywać prostych manipulacji
na dźwięku, wliczając w to różne efekty dźwiękowe.

%description -l ru.UTF-8
Как говорится в документации, "швейцарский армейский нож звуковых
утилит", sox умеет конвертировать звуковые файлы самых разнообразных
форматов и производить несложную их обработку. С прилагаемым скриптом
также может быть использован для проигрывания звуковых файлов.

%description -l pt_BR.UTF-8
O sox se autodenomina "canivete suíço das ferramentas de som". Ele
entende vários formatos de sons digitalizados, podendo fazer
conversões entre esses formatos e desempenhar funções simples de
manipulação de som.

%description -l uk.UTF-8
В документації цей пакет названо "швейцарським армійським ножиком
звукових утиліт". Він вміє конвертувати звукові файли
найрізноманітніших форматів та виконувати нескладну їх обробку. В
пакет входить скрипт, який можна використовувати для програвання
звукових файлів.

%package devel
Summary:	Header files for the SoX sound file format converter library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SoX do konwertowania plików dźwiękowych
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed for compiling
applications which will use the SoX sound file format converter.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do kompilacji aplikacji,
wykorzystujących konwerter formatów plików dźwiękowych SoX.

%package static
Summary:	Static SoX sound file format converter library
Summary(pl.UTF-8):	Biblioteka statyczna SoX do konwertowania plików dźwiękowych
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SoX sound file format converter library.

%description static -l pl.UTF-8
Biblioteka statyczna SoX do konwertowania plików dźwiękowych.

%package fmt-amr
Summary:	SoX modules with AMR-NB and AMR-WB format support
Summary(pl.UTF-8):	Moduły SoX obsługujące formaty AMR-NB i AMR-WB
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fmt-amr
SoX modules with AMR-NB and AMR-WB format support.

%description fmt-amr -l pl.UTF-8
Moduły SoX obsługujące formaty AMR-NB i AMR-WB.

%package fmt-ffmpeg
Summary:	SoX module which uses ffmpeg codecs
Summary(pl.UTF-8):	Moduł SoX wykorzystujący kodeki ffmpeg
# ffmpeg in PLD is compiled as GPL
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fmt-ffmpeg
SoX module which uses ffmpeg codecs.

%description fmt-ffmpeg -l pl.UTF-8
Moduł SoX wykorzystujący kodeki ffmpeg.

%package fmt-lpc10
Summary:	SoX module with LPC10 format support
Summary(pl.UTF-8):	Moduł SoX obsługujący format LPC10
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fmt-lpc10
SoX module with LPC10 format support.

%description fmt-lpc10 -l pl.UTF-8
Moduł SoX obsługujący format LPC10.

%package fmt-mp3
Summary:	SoX module with MP3 format support
Summary(pl.UTF-8):	Moduł SoX obsługujący format MP3
# libmad is GPLed, libmp3lame can contain GPL parts (and in PLD it does)
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fmt-mp3
SoX module with MP3 format support. It uses libmad for decoding and
LAME for encoding.

%description fmt-mp3 -l pl.UTF-8
Moduł SoX obsługujący format MP3. Wykorzystuje do dekodowania
bibliotekę libmad, a do kodowania - LAME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_gomp:--disable-gomp} \
	--with-distro='PLD Linux Distribution' \
	--with-dyn-default \
	%{!?with_alsa:--without-alsa} \
	%{!?with_amr:--without-amrnb --without-amrwb} \
	%{!?with_pulseaudio:--without-pulseaudio}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "#!/bin/sh" > $RPM_BUILD_ROOT%{_bindir}/soxplay
echo "" >> $RPM_BUILD_ROOT%{_bindir}/soxplay
echo '%{_bindir}/sox $1 -t .au - > /dev/audio' >> $RPM_BUILD_ROOT%{_bindir}/soxplay

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/{play,rec}.1
echo '.so sox.1' > $RPM_BUILD_ROOT%{_mandir}/man1/play.1
echo '.so sox.1' > $RPM_BUILD_ROOT%{_mandir}/man1/rec.1

%{__rm} $RPM_BUILD_ROOT%{_libdir}/sox/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains only notes, not GPL/LGPL texts
%doc AUTHORS COPYING ChangeLog NEWS README src/monkey.*
%attr(755,root,root) %{_bindir}/play
%attr(755,root,root) %{_bindir}/rec
%attr(755,root,root) %{_bindir}/sox
%attr(755,root,root) %{_bindir}/soxi
%attr(755,root,root) %{_bindir}/soxplay
%attr(755,root,root) %{_libdir}/libsox.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsox.so.2
%dir %{_libdir}/sox
%if %{with alsa}
# R: alsa-lib
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_alsa.so
%endif
# R: libao
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_ao.so
# R: flac
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_flac.so
# R: libgsm
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_gsm.so
%if %{with pulseaudio}
# R: pulseaudio-libs
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_pulseaudio.so
%endif
# R: libsndfile (+submodules)
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_sndfile.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_caf.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_fap.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_mat4.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_mat5.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_oss.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_paf.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_pvf.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_sd2.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_w64.so
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_xi.so
# R: libogg libvorbis
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_vorbis.so
# R: wavpack
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_wavpack.so
%{_mandir}/man1/play.1*
%{_mandir}/man1/rec.1*
%{_mandir}/man1/sox.1*
%{_mandir}/man1/soxi.1*
%{_mandir}/man7/soxeffect.7*
%{_mandir}/man7/soxformat.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsox.so
%{_includedir}/sox.h
%{_pkgconfigdir}/sox.pc
%{_mandir}/man3/libsox.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsox.a
%{_libdir}/libsox.la

%if %{with amr}
%files fmt-amr
%defattr(644,root,root,755)
# R: amr-nb
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_amr_nb.so
# R: amr-wb
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_amr_wb.so
%endif

%files fmt-ffmpeg
%defattr(644,root,root,755)
# R: ffmpeg-libs
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_ffmpeg.so

%files fmt-lpc10
%defattr(644,root,root,755)
# R: lpc10
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_lpc10.so

%files fmt-mp3
%defattr(644,root,root,755)
# R: lame-libs libmad
%attr(755,root,root) %{_libdir}/sox/libsox_fmt_mp3.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sox.spec,v $
Revision 1.77  2012/04/27 17:11:06  qboosh
- BR: twolame-devel, updated versions

Revision 1.76  2012/04/27 06:59:50  arekm
- up to 14.4.0

Revision 1.75  2012/02/11 08:30:19  arekm
- release 5

Revision 1.74  2011/12/20 19:40:09  arekm
- release 4

Revision 1.73  2011/07/24 15:53:37  arekm
- release 3

Revision 1.72  2011/07/05 13:25:00  lisu
- fixed build with new ffmpeg

Revision 1.71  2011/06/27 19:21:54  arekm
- release 2

Revision 1.70  2011/03/06 08:20:09  qboosh
- updated to 14.3.2
- updated system-lpc10 patch

Revision 1.69  2010/11/02 20:33:24  qboosh
- added dyn patch (don't force static linking of some modules into libsox)
- switched amr* to opencore-amr, enabled by default
- updated configure options (use --with-dyn-default so full plugins listing is not necessary)
- libgomp handling (+gomp bcond for older gcc)

Revision 1.68  2010/08/05 13:59:25  jajcus
- broken comment removed

Revision 1.67  2010/08/05 13:52:42  jajcus
- Version: 14.3.1

Revision 1.66  2010/06/18 07:00:30  arekm
- release 4

Revision 1.65  2010/06/03 12:53:25  rotom
- Rel. 3

Revision 1.64  2010/01/30 16:08:35  sparky
- BR: pkgconfig

Revision 1.63  2010/01/29 20:49:37  arekm
- release 2

Revision 1.62  2008/12/08 11:13:43  duddits
- up to 14.2.0
- ffmpeg patch obsoleted
- lpc10 updated
- some tune-ups in %files

Revision 1.61  2008/10/14 08:04:31  duddits
- rel. 4

Revision 1.60  2008/10/13 18:00:27  qboosh
- such ffmpeg patch works with new ffmpeg only

Revision 1.59  2008/10/13 11:41:44  sls
- added ffmpeg.patch

Revision 1.58  2008/09/07 19:15:50  adamg
- release 3 (against libltdl-2.2.6-1)

Revision 1.57  2008/08/24 11:14:18  arekm
- release 2

Revision 1.56  2008/08/23 21:48:44  qboosh
- updated to 14.1.0
- removed obsolete gsm patch

Revision 1.55  2008/05/23 13:50:04  pluto
- release 3 for rebuild with new libltdl.

Revision 1.54  2008-03-11 12:24:42  hawk
- release 2

Revision 1.53  2008-02-17 03:37:02  qboosh
- updated to 14.0.1
- updated system-lpc10 patch, removed obsolete amr patch

Revision 1.52  2008-02-07 13:40:18  glen
- rel 2 (ffmpeg)

Revision 1.51  2007-12-01 22:05:49  qboosh
- updated to 14.0.0 (NOTE: library name has changed)
- updated gsm patch, added amr,system-lpc10 patches
- amr (nb, wb) support bconded, off by default due to non-distributable libs
- separated some plugins with external dependencies and different licensing

Revision 1.50  2007-02-17 21:01:16  qboosh
- updated to 13.0.0
- updated gsm patch, removed obsolete install patch

Revision 1.49  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.48  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.47  2006/09/11 20:25:07  qboosh
- updated to 12.18.2, updated install patch
- added gsm patch, use shared libgsm again

Revision 1.46  2006/05/07 20:45:33  charles
- updated to 12.18.1

Revision 1.45  2005/12/10 21:23:02  qboosh
- updated to 12.17.9, removed outdated play patch

Revision 1.44  2005/08/28 11:05:51  qboosh
- updated to 12.17.8 (bugfixes, incl. SMP buffer overflow)

Revision 1.43  2004/12/25 21:51:41  qboosh
- updated to 12.17.7, updated patches

Revision 1.42  2004/10/29 11:17:59  paladine
- spelling fixes

Revision 1.41  2004/10/21 20:24:22  qboosh
- updated to 12.17.6 (many bugfixes)
- updated install,play patches, removed unneeded soundcard patch
- libgsm-devel not needed - sox uses parts of modified libgsm library

Revision 1.40  2004/09/22 16:03:02  havner
- fix commented out macros

Revision 1.39  2004/09/20 22:15:17  havner
- rel 3

Revision 1.38  2004/09/20 22:13:20  havner
- config.sub

Revision 1.37  2004/09/20 22:09:29  havner
- test, no ac/am

Revision 1.36  2004/08/16 09:11:52  blues
- release 2 for AC

Revision 1.35  2004/08/16 09:10:23  blues
- 12.17.5 - security update

Revision 1.34  2004/08/10 13:48:23  blues
- SECURITY note

Revision 1.33  2004/02/16 00:03:04  eothane
- bcond style, changelog cleanups

Revision 1.32  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.31  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.30  2003/05/25 06:26:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/12 14:55:34  wolf
- 12.17.4 final

Revision 1.28  2003/02/19 21:26:24  qboosh
- BR: lame-libs-devel,mad-devel

Revision 1.27  2003/02/18 20:15:10  adgor
- Updated to 12.17.4-pre2

Revision 1.26  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/07/25 21:34:11  qboosh
- added missing header file - sox-devel was unusable without it
- release 9

Revision 1.24  2002/07/23 19:23:23  marcus
- use new %doc
- rel.8.

Revision 1.23  2002/07/21 18:52:38  kloczek
- release 7: rebuild against final libvorbis 1.0.

Revision 1.22  2002/05/21 23:14:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/09 07:42:17  kloczek
- releas 5: merge translation from KSI and Conectiva.

Revision 1.20  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/19 20:44:16  filon
- updated to 12.17.3
- removed makefile, saywhat, types, paths obsollete patches
- added install patch (fixes install), updated play patch
- changed install and files section

Revision 1.17  2002/01/18 02:15:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.15  2001/11/04 03:20:03  blues
- URLs updated (based on webpage)
  NOTE: new version is avaible

Revision 1.14  2001/09/30 12:39:45  qboosh
- BuildRequires: autoconf, automake; fixed typo, added pl summary to -devel

Revision 1.13  2001/09/30 09:47:42  marcus
- fix ac/am

Revision 1.12  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.11  2001/05/22 09:06:52  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_)
  no release changes only simple s/// perfored

Revision 1.10  2001/02/04 21:54:05  kloczek
- build with libgsm,
- merge types patch from RH and soundcard, saywhat patches from Conectiva.

Revision 1.9  2001/02/04 21:41:30  kloczek
- updated to 12.17.1,
- old Summary de, fr, tr from BeroLinux spec file,
- do not use alsa on sparc*,
- updated URL.

Revision 1.8  2001/02/04 19:57:16  kloczek
- spec adapterized,
- changed Group in main to Applications/Sound,
- few cosmetics.

Revision 1.7  2001/02/03 22:20:03  qboosh
- _without_alsa

Revision 1.6  2000/10/21 16:39:42  bszx
- updated to 12.17
- added/removed neccesary/obsolete patches

Revision 1.5  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/23 15:41:52  baggins
- macros
- gziping docs

Revision 1.1  1999/08/19 20:07:27  baggins
- almost raw
